package com.ag.entity.fee.face;

import com.alibaba.fastjson.JSONObject;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by yangxh on 2019/8/1.
 */
public class ReqSource implements Serializable {
    private String tenancyId;//租户(必填)
    private String contractId;//合同号(选填)
    private String accountPointCode;//计费事件(与费目编号二选一)
    private String itemId;//费目编号(与计费事件二选一)
    private String operMan;//操作员(必填)
    private List<SourceProperty> sourceProperties = new ArrayList<>();//数据源计算属性
    private String categoryId;//港杂费001，堆存费002
    private JSONObject other = new JSONObject();
    private String exceptionId;

    public String getTenancyId() {
        return tenancyId;
    }

    public void setTenancyId(String tenancyId) {
        this.tenancyId = tenancyId;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getAccountPointCode() {
        return accountPointCode;
    }

    public void setAccountPointCode(String accountPointCode) {
        this.accountPointCode = accountPointCode;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getOperMan() {
        return operMan;
    }

    public void setOperMan(String operMan) {
        this.operMan = operMan;
    }

    public List<SourceProperty> getSourceProperties() {
        return sourceProperties;
    }

    public void setSourceProperties(List<SourceProperty> sourceProperties) {
        this.sourceProperties = sourceProperties;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public JSONObject getOther() {
        return other;
    }

    public void setOther(JSONObject other) {
        this.other = other;
    }

    public String getExceptionId() {
        return exceptionId;
    }

    public void setExceptionId(String exceptionId) {
        this.exceptionId = exceptionId;
    }
}
